com.rscja.barcode

## Class Barcode2DSHardwareInfo

- java.lang.Object
- - com.rscja.barcode.Barcode2DSHardwareInfo

- All Implemented Interfaces:
    IBarcode2DSHardwareInfo

      public class Barcode2DSHardwareInfo
      extends java.lang.Object
      implements IBarcode2DSHardwareInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MANUFACTOR_CW`
    `static java.lang.String` | `MANUFACTOR_HONYWELL`
    `static java.lang.String` | `MANUFACTOR_IA`
    `static java.lang.String` | `MANUFACTOR_IDATA`
    `static java.lang.String` | `MANUFACTOR_MOBYDATA`
    `static java.lang.String` | `MANUFACTOR_NEWLAND`
    `static java.lang.String` | `MANUFACTOR_ZEBRA`
    `static java.lang.String` | `MODEL_CW_CW9281`
    `static java.lang.String` | `Model_HONYWELL_3601`
    `static java.lang.String` | `Model_HONYWELL_3603`
    `static java.lang.String` | `Model_HONYWELL_6603`
    `static java.lang.String` | `Model_HONYWELL_EX30`
    `static java.lang.String` | `Model_HONYWELL_N5703`
    `static java.lang.String` | `Model_HONYWELL_N6703`
    `static java.lang.String` | `Model_IA_100S`
    `static java.lang.String` | `Model_IA_101S`
    `static java.lang.String` | `Model_IA_166S`
    `static java.lang.String` | `Model_IA_171S`
    `static java.lang.String` | `Model_IA_181S`
    `static java.lang.String` | `Model_IA_400S`
    `static java.lang.String` | `Model_IA_417S`
    `static java.lang.String` | `Model_IDATA_DS7000`
    `static java.lang.String` | `Model_MOBYDATA_E3200`
    `static java.lang.String` | `Model_MOTO_5500`
    `static java.lang.String` | `Model_NEWLAND_CM30`
    `static java.lang.String` | `Model_NEWLAND_CM47`
    `static java.lang.String` | `Model_NEWLAND_CM60`
    `static java.lang.String` | `Model_ZEBRA_2100`
    `static java.lang.String` | `Model_ZEBRA_4100`
    `static java.lang.String` | `Model_ZEBRA_4710`
    `static java.lang.String` | `Model_ZEBRA_4720`
    `static java.lang.String` | `Model_ZEBRA_4750`
    `static java.lang.String` | `Model_ZEBRA_4770`
    `static java.lang.String` | `Model_ZEBRA_4850`
    `static java.lang.String` | `UNKNOWN`
    `static java.lang.String` | `ZEBRA_ENGINE_SUFFIX_DP`
    `static java.lang.String` | `ZEBRA_ENGINE_SUFFIX_MR`
    `static java.lang.String` | `ZEBRA_ENGINE_SUFFIX_SR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Barcode2DSHardwareInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEngineExtrasInfo()` 扫描头额外的扩展信息
    `java.lang.String` | `getEngineName()` 扫描头型号
    `static Barcode2DSHardwareInfo` | `getInstance()`
    `java.lang.String` | `getManufactor()` 扫描头厂家

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static java.lang.String UNKNOWN

    - #### MANUFACTOR_ZEBRA

          public static final java.lang.String MANUFACTOR_ZEBRA

      See Also:
        Constant Field Values

    - #### MANUFACTOR_HONYWELL

          public static final java.lang.String MANUFACTOR_HONYWELL

      See Also:
        Constant Field Values

    - #### MANUFACTOR_IA

          public static final java.lang.String MANUFACTOR_IA

      See Also:
        Constant Field Values

    - #### MANUFACTOR_IDATA

          public static final java.lang.String MANUFACTOR_IDATA

      See Also:
        Constant Field Values

    - #### MANUFACTOR_MOBYDATA

          public static final java.lang.String MANUFACTOR_MOBYDATA

      See Also:
        Constant Field Values

    - #### MANUFACTOR_NEWLAND

          public static final java.lang.String MANUFACTOR_NEWLAND

      See Also:
        Constant Field Values

    - #### MANUFACTOR_CW

          public static final java.lang.String MANUFACTOR_CW

      See Also:
        Constant Field Values

    - #### Model_ZEBRA_4100

          public static final java.lang.String Model_ZEBRA_4100

      See Also:
        Constant Field Values

    - #### Model_ZEBRA_4710

          public static final java.lang.String Model_ZEBRA_4710

      See Also:
        Constant Field Values

    - #### Model_ZEBRA_4750

          public static final java.lang.String Model_ZEBRA_4750

      See Also:
        Constant Field Values

    - #### Model_ZEBRA_2100

          public static final java.lang.String Model_ZEBRA_2100

      See Also:
        Constant Field Values

    - #### Model_ZEBRA_4850

          public static final java.lang.String Model_ZEBRA_4850

      See Also:
        Constant Field Values

    - #### Model_ZEBRA_4720

          public static final java.lang.String Model_ZEBRA_4720

      See Also:
        Constant Field Values

    - #### Model_ZEBRA_4770

          public static final java.lang.String Model_ZEBRA_4770

      See Also:
        Constant Field Values

    - #### Model_MOTO_5500

          public static final java.lang.String Model_MOTO_5500

      See Also:
        Constant Field Values

    - #### ZEBRA_ENGINE_SUFFIX_DP

          public static final java.lang.String ZEBRA_ENGINE_SUFFIX_DP

      See Also:
        Constant Field Values

    - #### ZEBRA_ENGINE_SUFFIX_SR

          public static final java.lang.String ZEBRA_ENGINE_SUFFIX_SR

      See Also:
        Constant Field Values

    - #### ZEBRA_ENGINE_SUFFIX_MR

          public static final java.lang.String ZEBRA_ENGINE_SUFFIX_MR

      See Also:
        Constant Field Values

    - #### Model_HONYWELL_6603

          public static final java.lang.String Model_HONYWELL_6603

      See Also:
        Constant Field Values

    - #### Model_HONYWELL_3601

          public static final java.lang.String Model_HONYWELL_3601

      See Also:
        Constant Field Values

    - #### Model_HONYWELL_3603

          public static final java.lang.String Model_HONYWELL_3603

      See Also:
        Constant Field Values

    - #### Model_HONYWELL_N6703

          public static final java.lang.String Model_HONYWELL_N6703

      See Also:
        Constant Field Values

    - #### Model_HONYWELL_N5703

          public static final java.lang.String Model_HONYWELL_N5703

      See Also:
        Constant Field Values

    - #### Model_HONYWELL_EX30

          public static final java.lang.String Model_HONYWELL_EX30

      See Also:
        Constant Field Values

    - #### Model_IA_400S

          public static final java.lang.String Model_IA_400S

      See Also:
        Constant Field Values

    - #### Model_IA_100S

          public static final java.lang.String Model_IA_100S

      See Also:
        Constant Field Values

    - #### Model_IA_417S

          public static final java.lang.String Model_IA_417S

      See Also:
        Constant Field Values

    - #### Model_IA_101S

          public static final java.lang.String Model_IA_101S

      See Also:
        Constant Field Values

    - #### Model_IA_166S

          public static final java.lang.String Model_IA_166S

      See Also:
        Constant Field Values

    - #### Model_IA_171S

          public static final java.lang.String Model_IA_171S

      See Also:
        Constant Field Values

    - #### Model_IA_181S

          public static final java.lang.String Model_IA_181S

      See Also:
        Constant Field Values

    - #### Model_IDATA_DS7000

          public static final java.lang.String Model_IDATA_DS7000

      See Also:
        Constant Field Values

    - #### Model_MOBYDATA_E3200

          public static final java.lang.String Model_MOBYDATA_E3200

      See Also:
        Constant Field Values

    - #### Model_NEWLAND_CM60

          public static final java.lang.String Model_NEWLAND_CM60

      See Also:
        Constant Field Values

    - #### Model_NEWLAND_CM47

          public static final java.lang.String Model_NEWLAND_CM47

      See Also:
        Constant Field Values

    - #### Model_NEWLAND_CM30

          public static final java.lang.String Model_NEWLAND_CM30

      See Also:
        Constant Field Values

    - #### MODEL_CW_CW9281

          public static final java.lang.String MODEL_CW_CW9281

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Barcode2DSHardwareInfo

          public Barcode2DSHardwareInfo()

  - ### Method Detail

    - #### getInstance

          public static Barcode2DSHardwareInfo getInstance()

    - #### getEngineName

          public java.lang.String getEngineName()

      扫描头型号
      Specified by:
        `getEngineName` in interface `IBarcode2DSHardwareInfo`
      Returns:

    - #### getManufactor

          public java.lang.String getManufactor()

      扫描头厂家
      Specified by:
        `getManufactor` in interface `IBarcode2DSHardwareInfo`
      Returns:

    - #### getEngineExtrasInfo

          public java.lang.String getEngineExtrasInfo()

      扫描头额外的扩展信息
      Specified by:
        `getEngineExtrasInfo` in interface `IBarcode2DSHardwareInfo`
      Returns: